Ethiack Docs
Ci cd jobs

Launch Job

POST
/v1/jobs/launch

Launches a CI/CD job for the provided service.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.ethiack.com/v1/jobs/launch" \  -H "Content-Type: application/json" \  -d '{    "url": "string",    "beacon_id": null,    "event_slug": null  }'
{
  "url": "string",
  "uuid": "string"
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}